Uploaded image for project: 'Qpid Dispatch'
  1. Qpid Dispatch
  2. DISPATCH-1280

http against https enabled listener causes segfault

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      If you have a listener with http enabled, an ssl profile referenced, but requireSsl set to false, and then try to access it over plain http, you get a segfault in libwebsockets if using version 3.0.1-2. Downgrading to 2.4.2 of libwebsockets fixes this.

        Attachments

          Activity

            People

            • Assignee:
              mgoulish michael goulish
              Reporter:
              gsim Gordon Sim
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: